org.apache.cassandra.db

## Enum Directories.FileType

- java.lang.Object
- - java.lang.Enum<Directories.FileType>
  - - org.apache.cassandra.db.Directories.FileType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Directories.FileType>

Enclosing class:
  Directories

    public static enum Directories.FileType
    extends java.lang.Enum<Directories.FileType>

The type of files that can be listed by SSTableLister, we never return txn logs, use LifecycleTransaction.getFiles() if you need txn logs.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FINAL` A permanent sstable file that is safe to use.
`TEMPORARY` A temporary sstable file that will soon be deleted.
`TXN_LOG` A transaction log file (contains information on final and temporary files).

### Method Summary

All Methods Static Methods Concrete Methods
`static Directories.FileType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Directories.FileType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FINAL

    public static final Directories.FileType FINAL

A permanent sstable file that is safe to use.

#### TEMPORARY

    public static final Directories.FileType TEMPORARY

A temporary sstable file that will soon be deleted.

#### TXN_LOG

    public static final Directories.FileType TXN_LOG

A transaction log file (contains information on final and temporary files).

### Method Detail

#### values

    public static Directories.FileType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Directories.FileType c : Directories.FileType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Directories.FileType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null